节点更新特定的包

我想更新我的浏览器同步而不更新所有节点包 。 我怎样才能做到这一点? 我当前版本的浏览器同步没有浏览器同步GUI 🙁

├─┬ browser-sync@1.9.2 │ ├── browser-sync-client@1.0.2 

       

网上收集的解决方案 "节点更新特定的包"

这取决于你在package.json中设置的版本。 大多数情况下,您可以像这样更新模块以获取最新的非重大更改:

 npm update browser-sync 

如果你想保存更新的版本号到你的package.json,使用--save-dev

在你的情况下,它看起来像你想要的下一个主要版本(v2.xx),这可能有突破性的变化,你将需要更新您的应用程序,以适应这些变化。 在这种情况下,您可以卸载并重新安装模块:

 npm uninstall browser-sync --save-dev npm install browser-sync --save-dev 

--save-dev部分很重要。 这将卸载它,从你的package.json中删除值,然后重新安装最新版本,并将新值保存到你的package.json。 如果您省略--save-dev部分,则与运行上面的update命令没有区别。

或者,您可以通过执行以下操作来安装/保存最新的2.xx

 npm install browser-sync@2 --save-dev 

…或最新的2.1.x做:

 npm install browser-sync@2.1 --save-dev 

…或最新的和最伟大的做法:

 npm install browser-sync@latest --save-dev